<?php
function cleanup($data){
  $data = str_replace("&amp;nbsp;", " ", trim(htmlspecialchars(strip_tags($data))));
  return $data;
}
function mysqlError($f, $l){
  echo mysql_error()."\n $f\n $l";
  die();
}
function notFound(){
	header("HTTP/1.0 404 Not Found"); 
  require_once("./template/_404.php");
  require_once("./template/_template.php");
  temp_404();
  print_site();
  die();
}
function clearRequest(){
  $_POST=clearEv($_POST);
  $_GET=clearEv($_GET);
}
function clearEv($data){
	if(is_array($data))
		foreach($data as $i=>$d)
			$data[$i]=clearEv($d);
	else
		$data = str_replace("&amp;nbsp;", " ", trim(htmlspecialchars(strip_tags($data))));
  return $data;

}

function rmHr($str){
	return str_replace(array("č", "ć", "ž", "š"," đ", "Č", "Ć", "Ž", "Š", "Đ", "đ"), array("c", "c", "z", "s", "d", "C", "C", "Z", "S", "D", "d"), $str);
}
function specijalniSimboli($s){
  $ext=0;
  for($i=0;$i<strlen($s);$i++){
  	$ascii=ord($s[$i]);
    if(($ascii>=48 && $ascii<=57) || ($ascii>=65 && $ascii<=90) || ($ascii>=97 && $ascii<=122) || $ascii==45 ||
    		$ascii==95 || $ascii==32 || $ascii==46)
    	$i=$i;
    elseif(($ext==196 && ($ascii==140 || $ascii==141 || $ascii==134 || $ascii==135 || $ascii==144 || $ascii==145)) ||
    		($ext==197 && ($ascii==190 || $ascii==189 || $ascii==160 || $ascii==161)))
    	$ext=0;
    elseif($ext==0 && ($ascii==196 || $ascii==197))
    	$ext=$ascii;
    else
      return true;
	}
  return false;
}
// uklanja prazna mjesta
function removeSpace($str){
  $ovo = array("\r\n", "\n", "&nbsp;", "  ");
	$str = str_replace($ovo, " ", $str, $c);
	if($c>0) return removeSpace($str);
  if(substr($str, -1, 1) == " ") $str = substr($str, 0, -1);
  if(substr($str, 0, 1) == " ") $str = substr($str, 1);
	return $str;
}
// uklanja hypene
function removeHyphen($str){
	$str = str_replace("--", "-", $str, $c);
	if($c>0) return removeHyphen($str);
  if(substr($str, -1, 1) == "-") $str = substr($str, 0, -1);
  if(substr($str, 0, 1) == "-") $str = substr($str, 1);
	else return $str;
}
function removeSpecial($tekst){
	$tekst=removeSpace($tekst);
	$ovo=array(
				-5=>"&lt;", -4=>"&gt;", -3=>"...",
				0=>" ", 1=>" = ", 2=>" - ", 3=>"/", 4=>'"', 5=>"'", 6=>":", 7=>". ", 8=>"(", 9=>")", 10=>".",
				11=>" - ", 12=>"'", 13=>",", 14=>"!", 15=>"?", 16=>"!", 17=>" ", 18=>"---", 19=>"č", 20=>"ć",
				21=>"ž", 22=>"s", 23=>"đ", 24=>"Č", 25=>"Ć", 26=>"Ž", 27=>"Š", 28=>"Đ",	29=>"&#269;", 30=>"&#268;",
				31=>"&#263;", 32=>"&#262;", 33=>"&#382;", 34=>"&#381;", 35=>"&scaron;",
					36=>"&Scaron;", 37=>"©", 38=>"&#190;", 39=>"%B9", 40=>"+", 41=>"š", "#", "&quot;", "&", "amp;", "quot;", "=", "®", "_", "€", "%", "ä", "ß", "ü", "ó"
			);
	
	$u=array(
				-5=>"", -4=>"", -3=>"",
				0=>"-", 1=>"-", 2=>"-", 3=>"-", 4=>'', 5=>"", 6=>"", 7=>"-", 8=>"", 9=>"", 10=>"-",
				11=>"-", 12=>"", 13=>"", 14=>"", 15=>"", 16=>"", 17=>"-", 18=>"-", 19=>"c", 20=>"c",
				21=>"z", 22=>"s", 23=>"dj", 24=>"C", 25=>"C", 26=>"Z", 27=>"S", 28=>"Dj", 29=>"c",
				30=>"C", 31=>"c", 32=>"C", 33=>"z", 34=>"Z", 35=>"s", 36=>"S", 37=>"c", 38=>"", 39=>"", 40=>"-", 41=>"s", "", "", "i", "", "", "", "R", "-", "E", "posto", "a", "ss", "u", "o"
			);
	$tekst=strtolower(str_replace($ovo, $u, $tekst));
	
	$tekst=htmlentities(urlencode($tekst));
	unset($ovo, $u);
	
	$ovo=array(1=>"%E8", 2=>"%C8", 3=>"%E6", 4=>"%C6", 5=>"%BE", 6=>"%AE", 7=>"%F0", 8=>"%D0", 9=>"%B9", 10=>"%A9",
				11=>"+", 12=>"%2F", "%");
	
	$u=array(1=>"c", 2=>"C", 3=>"c", 4=>"C", 5=>"z", 6=>"Z", 7=>"dj", 8=>"Dj", 9=>"s", 10=>"S",
					11=>"-", 12=>"-", "");

	return removeHyphen(str_replace($ovo, $u, $tekst));
}

function is_mail($mail){
    return (preg_match('/^[-!#$%&\'*+\\.\/0-9=?A-Z^_`{|}~]+@([-0-9A-Z]+\.)+([0-9A-Z]){2,4}$/i', trim($mail)));
}

function sendMail($mail, $title, $txt, $send=null){
  $header  = "From: ".($send ? "$send" : "Blogeri.hr <no-reply@blogeri.hr>")."\n";
  $header .= "MIME-Version: 1.0 \n";
  $header .= "Content-type: text/html; charset=utf-8 \n";

  mail($mail, $title, $txt, $header);
}

function getAvatar($id){
	if(is_file("./images/avatar/$id.jpg"))
		return "./images/avatar/$id.jpg";
	else
		return "./images/avatar_default_64.gif";
}

function resizePicCrop($file, $location, $w, $h){
  global $path;
  if(!is_image($file["type"])) return false;
  if(false !== (list($ws,$hs) = @getimagesize($file["tmp_name"]))){
    $r=$w/$h;
    if($ws<$hs*$r){
      $dimx=$ws;
      $dimy=$ws/$r;
      $x=0;
      $y=($hs-$dimy)/2;
    }elseif($ws>$hs*$r){
      $dimx=$hs*$r;
      $dimy=$hs;
      $x=($ws-$dimx)/2;
      $y=0;
    }else{
      $dimx=$hs*$r;
      $dimy=$hs;
      $x=0;
      $y=0;
    }
    $thumb = imagecreatetruecolor($w,$h);
    $array=explode(".", $file["name"]);
    $n=count($array)-1;
    if($array[$n]=='jpg' || $array[$n]=='jpeg' || $array[$n]=='JPG')
      $source = imagecreatefromjpeg($file["tmp_name"]);
    elseif($array[$n]=='png')
      $source = imagecreatefrompng($file["tmp_name"]);
    elseif($array[$n]=='gif')
      $source = imagecreatefromgif($file["tmp_name"]);

    imagecopyresampled($thumb,$source,0,0,$x,$y,$w,$h,$dimx,$dimy);

    imagejpeg($thumb, "$location", 85);
    imagedestroy($thumb);
  }else return false;
}
function is_image($pt){
  if($pt=="image/jpeg" || $pt=="image/pjpeg" || $pt=="image/png" || $pt=="image/png" || $pt=="image/gif")
    return true;
  else return false;
}

function pravopis_muski($broj, $rijec, $t=false){
	$akcija=strrev($broj);
	if($akcija{0}>=5 || (isset($akcija{1}) && $akcija{1}==1) || ($akcija{0}==0 && isset($akcija{1})))
		if($t) return $rijec."i"; else return $rijec."ova";
	elseif($akcija{0}==1)
		return $rijec;
	elseif($akcija{0}<5)
		return $rijec."a";
	else
		return $rijec."a";
}
function getHost($url){
	$url=str_replace("www.", "", parse_url($url));
	return $url["host"];//.(isset($url["path"]) && $url["path"]!="/" ? $url["path"] : "");
}

function in_array_s($i, $a, $n){
	foreach($a as $x=>$y)
		if($a[$x][$n]==$i) return $x;
}
function getSubs($ex, $ar){
	$in=null;
	if(count($ar)==0) return ;
	foreach($ar as $id=>$a){
		$in.=$id.$ex;
	}
	return substr($in, 0, 0-strlen($ex));
}

function is_url($url){
	if(preg_match("/^[a-zA-Z]+[:\/\/]+[A-Za-z0-9\-_]+\\.+[A-Za-z0-9\.\/%&=\?\-_\!#]+$/i",$url))
		return true;
	else return false;
}

#
function getAge($birthdate){
	list($BirthYear,$BirthMonth,$BirthDay) = explode("-", $birthdate);
	$YearDiff = date("Y") - $BirthYear;
	$MonthDiff = date("m") - $BirthMonth;
	$DayDiff = date("d") - $BirthDay;
	if ($MonthDiff < 0 || ($MonthDiff==0 && $DayDiff < 0))
		$YearDiff--;
	return $YearDiff;
}

function getMonthName($m){
	$months=array(
		1=>"Siječanj", "Veljača", "Ožujak", "Travanj", "Svibanj", "Lipanj",
		"Srpanj", "Kolovoz", "Rujan", "Listopad", "Studeni", "Prosinac"
	);
	return isset($months[$m]) ? $months[$m] : "Error";
}

// crazy man - sijeci tekst na odredjen broj rijeci
function getCutText($text, $broj, $tip = 1){
	$text = removeSpace(strip_tags($text));
	$broj_rijeci = strlen($text);
	if($broj_rijeci > $broj){
  	if($tip == 2){
      $text = substr($text, 0, $broj);
    }
    else{
    	$text = substr($text, 0, $broj);
      $broj = strrpos($text, " ");
      $text = substr($text, 0, $broj);
    }
    $signs = array(".", ",", ":", ";", "!", "?", "(", ")", "-");
    if(in_array(substr($text, -1, 1), $signs))
      $text = substr($text, 0, -1);
    $text = $text."...";
	}
  
	return $text;
}

function passedTime($time){
	$cur=time();
	if($time+300>$cur){
		$var=intval(($cur-$time)/60+1);
		return "maloprije";
	}elseif($time+3600>$cur){
		$var=intval(($cur-$time)/60+1);
		return "prije $var min";
	}elseif($time+86400>$cur){
		$var=intval(($cur-$time)/3600);
		return "prije $var ".pravopis_muski($var, "sat", true);
	}elseif($time+691200>$cur){
		$var=intval(($cur-$time)/86400);
		return "prije $var ".($var==1 ? "dan" : "dana");
	}else
		return date("d.m.Y.", $time);
}
function getDayName($i){
	switch($i){
		case 1:
			return "pon";
			break;
		case 2:
			return "uto";
			break;
		case 3:
			return "sri";
			break;
		case 4:
			return "&#269;et";
			break;
		case 5:
			return "pet";
			break;
		case 6:
			return "sub";
			break;
		case 7:
			return "ned";
			break;
	}
}



function getTagLink($string){
  $q = explode(",", $string);
  $buff=NULL;
  $i=0;
  foreach($q as $t){
    $buff.=($i == 0 ? "" : ", ")."<a href='./pretraga/?".urlencode(removeSpace($t))."'>".removeSpace($t)."</a>";
    $i++;
  }
  return $buff;
}
?>
