<?php
function temp_addUser(){
  global $details;
  
  if(isset($details["entryID"])){
    $edit=true;
    $entry=&$entry[$details["entryID"]];
  }else $edit=false;
  
  $txtBtn=$edit ? "Uredi korisnika" : "Dodaj korisnika";
  
  $details["title"]= "$txtBtn - Linux korisnici";
  $details["desc"]= "".($edit ? "Forma za uređivanje korisnika $entry[name]." : "Forma za dodavanje novog korisnika.")."";
  $details["key"]= "korisnici, dodavanje, osm, linux";
  $details["js"]="
  <script type='text/javascript' src='./js/jquery.form.js' /></script>
  <script type='text/javascript' src='./js/jquery.validate.js' /></script>
  <script type='text/javascript'>
    $().ready(function(){
       var validator =$('#forma').validate({
          rules: {
            name: {required:true,minlength:3},
            location: {required:true,minlength:3},
            location2: {required:true},
            distribution: {required:true,minlength:3},
            email: {required: function(e){return $('#email').val()!=''},minlength: 6,email:true}
          },
          messages: {
            name: {required:'',minlength:''},
            location: {required:'',url:''},
            location2: {required:true},
            distribution: {required:'',minlength:''},
            email: {required:'test'}
          },
          submitHandler: function(form) {
       			$('#submitB').attr('disabled','disabled');
       			$('#submitB').attr('value','Pričekajte...');
            $(form).ajaxSubmit({
            	url: './ajax.php?action=".($edit ? "userEdit" : "userAdd")."',
            	success: function(r){
            		alert(r);
            		resetButtons();
            	}
            });
          }
       });
      var timmed=''
			$('#location').keypress(function(){
				clearTimeout(timmed);
				timmed=setTimeout('getNames()', 1200);
			});
    });
    
    function getNames(){
			if($('#location').attr('value').length>2)
				$.getJSON('http://nominatim.openstreetmap.org/search?format=json&q='+$('#location').attr('value')+'&json_callback=?', function(data) {
					$('#location2').html('');
					j=0;
					$.each(data, function(i,item){
						j++
						$('#location2').append(\"<option value='\"+(item.place_id)+\"'>\"+(item.display_name)+\"</option>\");
					});
					if(j==0)
						$('#location2').append(\"<option value=''>Nema rezultata!</option>\");
				});
    }
    
    function resetButtons(){
			$('#submitB').attr('disabled','');
			$('#submitB').attr('value','$txtBtn');
    }
  </script>";
  
  $details["text"]="
    <div id='main'>
     
      <form method='post' id='forma'>
        <h1>SADRŽAJ</h1>
        <div class='box'>
          <p><label for='name'>* Username:</label><input type='text' name='name' id='name' value='".($edit ? $entry["name"]:"")."' size='56' maxlength='75' class='text' style='width:415px' /></p>
          <p><label for='location'>* Lokacija:</label><input type='text' name='location' id='location' value='".($edit ? $entry["location"]:"")."' size='56' maxlength='150' class='text' style='width:415px' /><br /><i class='form'>ime grada</i></p>
          <p><label for='location2'>* Točna lokacija:</label>
						<select name='location2' id='location2' style='width:400px;'>
							".($edit ? "<option value='$entry[location]'>$entry[location]</option>":"")."
						</select>
          <p><label for='distribution'>* Distribucija:</label><input type='text' name='distribution' id='distribution' value='".($edit ? $entry["distribution"]:"")."' size='56' maxlength='80' class='text' style='width:415px' /><br /><i class='form'>Samo naziv distribucije, bez brojčane oznake</i></p>
          <p><label for='email'>E-mail:</label><input type='text' name='email' id='email' value='".($edit ? $entry["email"]:"")."' size='56' maxlength='80' class='text' style='width:415px' /><br /><i class='form'>opcionalno, kako bi kasnije mogli urediti</i></p>
        </div>
        ".($edit ? "<input type='hidden' value='$entry[id]' name='id' />":"")."
        <p class='align_r'><input type='submit' id='submitB' value='$txtBtn' class='button' /></p>
      </form>

    </div>";
}
?>
