<?php
function temp_addUser(){
  global $details;
  
  if(isset($details["entryID"])){
    $edit=true;
    $entry=&$entry[$details["entryID"]];
  }else $edit=false;
  
  $txtBtn=$edit ? "Uredi korisnika" : "Dodaj korisnika";
  
  $podaci["naslov"]= "$txtTitle - Linux korisnici";
  $podaci["opis"]= "".($edit ? "Forma za uređivanje korisnika $entry[name]." : "Forma za dodavanje novog korisnika.")."";
  $podaci["keywords"]= "korisnici, dodavanje, osm, linux";
  $podaci["js"]="
  <script type='text/javascript' src='./js/jquery.form.js' /></script>
  <script type='text/javascript' src='./js/jquery.validate.js' /></script>
  <script type='text/javascript'>
    $().ready(function(){
       var validator =$('#forma').validate({
          rules: {
            name: {required:true,minlength:3},
            location: {required:true,minlength:3},
            distribution: {required:true,minlength:25},
            email: {required: function(e){return $('#email').val()!=''},minlength: 6}
          },
          messages: {
            name: {required:'',minlength:''},
            location: {required:'',url:''},
            distribution: {required:'',minlength:''},
            email: {required:'test'}
          },
          submitHandler: function(form) {
       			$('#submitB').attr('disabled','disabled');
       			$('#submitB').attr('value','Pričekajte...');
            $(form).ajaxSubmit({
            	url: './ajax.php?action=".($edit ? "userEdit" : "userAdd")."',
            	success: function(r){
            		alert(r);
            	}
            });
          }
       });
    });
  </script>";
  
  $podaci["tekst"]="
    <div id='main'>
     
      <form method='post' id='forma'>
        <h1>SADRŽAJ</h1>
        <div class='box'>
          <p><label for='name'>* Naslov:</label><input type='text' name='name' id='name' value='".($edit ? $entry["name"]:"")."' size='56' maxlength='75' class='text' style='width:415px' /></p>
          <p><label for='location'>* Lokacija:</label><input type='text' name='location' id='location' value='".($edit ? $entry["location"]:"")."' size='56' maxlength='150' class='text' style='width:415px' /><br /><i class='form'>ime grada</i></p>
          <p><label for='distribution'>* Distribucija:</label><input type='text' name='distribution' id='distribution' value='".($edit ? $entry["distribution"]:"")."' size='56' maxlength='80' class='text' style='width:415px' /><br /><i class='form'>Samo naziv distribucije, bez brojčane oznake</i></p>
          <p><label for='email'>E-mail:</label><input type='text' name='email' id='email' value='".($edit ? $entry["email"]:"")."' size='56' maxlength='80' class='text' style='width:415px' /><br /><i class='form'>opcionalno, kako bi kasnije mogli urediti</i></p>
        </div>
        ".($edit ? "<input type='hidden' value='$entry[id]' name='id' />":"")."
        <p class='align_r'><input type='submit' id='submitB' value='$txtBtn' class='button' /></p>
      </form>

    </div>";
}
?>
